#
# spec file for package libmikmod (Version 3.1.11a)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa-devel attr audiofile audiofile-devel audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils esound esound-devel file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libasound2 libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar tcpd texinfo timezone util-linux zlib


Name:           libmikmod
BuildRequires:  esound-devel
Url:            http://mikmod.raphnet.net/
License:        LGPL v2.1 or later
Group:          System/Libraries
Summary:        MikMod Sound Library
Version:        3.1.11a
Release:        34.3
%define _version 3.1.11
Source:         %{name}-%{_version}.tar.bz2
Source1:        libmikmod-rpmlintrc
Patch0:         libmikmod-3.1.11-a.diff
Patch1:         libmikmod.diff
Patch2:         libmikmod-config-fix.dif
Patch3:         libmikmod-conftest_fix.diff
Patch4:         libmikmod-CVE-2007-6720.diff
Patch5:         libmikmod-CVE-2009-0179.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files. It was originally written by Jean-Paul Mikkers
(MikMak) for DOS. It supports OSS /dev/dsp, ALSA, and Esound and can
also write wav files. Supported file formats include mod, stm, s3m,
mtm, xm, and it.



%debug_package
%package devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Summary:        Development files for MikMod Sound Library
Requires:       %{name} = %{version} glibc-devel audiofile-devel
PreReq:         %install_info_prereq

%description devel
This package contains files needed for compiling programs using
libmikmod.

Libmikmod is a portable sound library, capable of playing samples as
well as module files. It was originally written by Jean-Paul Mikkers
(MikMak) for DOS. It supports OSS /dev/dsp, ALSA, and Esound and can
also write wav files. Supported file formats include mod, stm, s3m,
mtm, xm, and it.



%prep
%setup -q -n %{name}-%{_version}
%patch0 -p1
%patch1
%patch2
%patch3
%patch4
%patch5

%build
autoreconf -f -i
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
cmp   $RPM_BUILD_ROOT%{_includedir}/mikmod{,_build}.h &&
ln -f $RPM_BUILD_ROOT%{_includedir}/mikmod{,_build}.h

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/mikmod.info.gz

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mikmod.info.gz

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING.LIB NEWS TODO COPYING.LESSER
%{_libdir}/libmikmod.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_datadir}/aclocal/libmikmod.m4
%{_includedir}/*
%doc %{_infodir}/mikmod*
%{_libdir}/libmikmod.so
%{_libdir}/libmikmod.*a
%doc %{_mandir}/man1/*-config.*

%changelog
* Fri Jan 23 2009 - prusnak@suse.cz
- fixed CVE-2007-6720 and CVE-2009-0179 [bnc#468760]
* Fri Aug 31 2007 - bk@suse.de
- Remove obsoleted 64-bit patch (fixes background music of pingus)
* Wed Apr 11 2007 - sbrabec@suse.cz
- Updated to version 3.1.11-a:
  * work correctly on amd64
  * fixes a warning issued by automake-1.8 in libmikmod.m4
  * includes an updated version of config.guess and config.sub
- Split devel subpackage (#263232).
* Fri Mar 23 2007 - schwab@suse.de
- Require audiofile-devel.
- Fix 64bit patch.
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 04 2005 - ltinkl@suse.cz
- update to 3.1.11
* Thu Sep 08 2005 - pth@suse.de
- Fix libmikmod-config for real (#96912)
* Tue Sep 06 2005 - jpr@suse.de
- Make sure libmikmod-config reports libdir correctly on all
  architectures (96912)
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Mar 04 2004 - tiwai@suse.de
- fixed m4 file for the recent autoconf.
* Sat Feb 07 2004 - adrian@suse.de
- fix some autoconf issues
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 14 2003 - adrian@suse.de
- fix info file name
* Thu Feb 13 2003 - adrian@suse.de
- add %%install_info section
* Tue Aug 20 2002 - tiwai@suse.de
- fixed the detection of 64bit architectures [bug #18106]
* Tue Aug 06 2002 - adrian@suse.de
- add %%run_ldconfig
* Tue Jun 04 2002 - ro@suse.de
- fix file list
* Fri May 31 2002 - adrian@suse.de
- update to version 3.1.10
- renamed libmikmo -> libmikmod
- fix for lib64 and ppc64
- add esd support
- add alsa support
- use buildroot
* Sat Nov 04 2000 - kukuk@suse.de
- use new long package names
* Wed Jun 21 2000 - schwab@suse.de
- Add %%suse_update_config.
* Sun Jun 18 2000 - adrian@suse.de
- fixed man path
* Fri Jun 16 2000 - adrian@suse.de
- update to 3.1.9
* Fri Jun 02 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Thu Mar 02 2000 - uli@suse.de
- moved info files to %%{_infodir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - kettner@suse.de
- New version 3.1.7
* Fri May 07 1999 - kettner@suse.de
- Install additional include files for kmikmod
* Thu May 06 1999 - kettner@suse.de
- Spec file created from libmikmod-3.1.6.tar.gz by autospec
